Bug 1743734 - UI Service lists all available languages (as opposed to supported languages)
Summary: UI Service lists all available languages (as opposed to supported languages)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Milan Zázrivec
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1774063
TreeView+ depends on / blocked
 
Reported: 2019-08-20 14:45 UTC by Milan Zázrivec
Modified: 2019-12-13 14:54 UTC (History)
5 users (show)

Fixed In Version: 5.11.0.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1774063 (view as bug list)
Environment:
Last Closed: 2019-12-13 14:54:55 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Milan Zázrivec 2019-08-20 14:45:11 UTC
Description of problem:
Service UI should list the following languages:
* French
* Spanish
* Brazilian Portuguese
* Japanese
* Simplified Chinese

Currently though, it lists all languages that are available.

Version-Release number of selected component (if applicable):
5.11


How reproducible:
Always

Steps to Reproduce:
1. Log into SSUI, see what langs are available

Actual results:
It lists all langs.


Expected results:
It should list supported langs only.


Additional info:

Comment 3 Dave Johnson 2019-08-20 16:03:26 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 CFME Bot 2019-08-23 19:02:00 UTC
New commit detected on ManageIQ/manageiq-appliance-build/master:

https://github.com/ManageIQ/manageiq-appliance-build/commit/0c1601a118c769773ba6c9263d36086ca7c51e13
commit 0c1601a118c769773ba6c9263d36086ca7c51e13
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Tue Aug 20 10:33:48 2019 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Tue Aug 20 10:33:48 2019 -0400

    Add yarn available-languages to ui-service build

    https://bugzilla.redhat.com/show_bug.cgi?id=1743734

 kickstarts/partials/post/ui_compile.ks.erb | 1 +
 1 file changed, 1 insertion(+)

Comment 5 CFME Bot 2019-08-23 20:51:11 UTC
New commit detected on ManageIQ/manageiq-appliance-build/ivanchuk:

https://github.com/ManageIQ/manageiq-appliance-build/commit/b1fcf0689b0f35aac4fbee29ff59d4b14613dfe7
commit b1fcf0689b0f35aac4fbee29ff59d4b14613dfe7
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Fri Aug 23 14:59:01 2019 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 23 14:59:01 2019 -0400

    Merge pull request #342 from mzazrivec/add_yarn_available_languages

    Add yarn available-languages to ui-service build

    (cherry picked from commit 47468392f3abb8b111aaa8b34e41fb0cc84da19b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1743734

 kickstarts/partials/post/ui_compile.ks.erb | 3 +-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 10 Niyaz Akhtar Ansari 2019-08-30 16:14:32 UTC
Verified in Version: 5.11.0.22.20190827200559_e618ece


Note You need to log in before you can comment on or make changes to this bug.